Skip to main content
List Connectors
curl --request GET \
  --url https://api.coralogix.com/mgmt/openapi/5/notifications/notification-center/v1/connectors \
  --header 'Authorization: <api-key>'
{
  "connectors": [
    {
      "configOverrides": [
        {
          "entityType": "ENTITY_TYPE_UNSPECIFIED",
          "fields": [
            {
              "fieldName": "<string>",
              "template": "<string>"
            }
          ]
        }
      ],
      "connectorConfig": {
        "fields": [
          {
            "fieldName": "<string>",
            "value": "<string>"
          }
        ]
      },
      "createTime": "2023-11-07T05:31:56Z",
      "description": "Connector for team notifications",
      "diagnostics": {
        "delivery": "DELIVERY_UNSPECIFIED"
      },
      "id": "a16e24c8-4db2-4abf-ba3c-c9e1fc35a3b9",
      "name": "My Slack Connector",
      "teamId": 12345,
      "type": "CONNECTOR_TYPE_UNSPECIFIED",
      "updateTime": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication

Query Parameters

connector_type
enum<string>
Available options:
CONNECTOR_TYPE_UNSPECIFIED,
SLACK,
GENERIC_HTTPS,
PAGERDUTY,
IBM_EVENT_NOTIFICATIONS,
SERVICE_NOW,
EMAIL
supported_by_entity_type
enum<string>
Available options:
ENTITY_TYPE_UNSPECIFIED,
ALERTS,
TEST_NOTIFICATIONS,
CASES

Response

200 - application/json

Response containing a list of connectors

connectors
Connector · object[]